const { app, BrowserWindow, Menu, ipcMain} = require('electron');
const menu = require('./menu');
const path = require('path');
const tray = require('./tray');
// const notification = require('./notification');

let iconPath = path.join(__dirname, 'public/favicon.ico');
let mainWindow = null;

function createWindow () {
  mainWindow = new BrowserWindow({
    width: 800,
    height: 600,
    icon: iconPath,
    show: false,
    frame: false,
    // titleBarStyle: 'hidden',
    // titleBarOverlay: {
    //   color: '#2f3241',
    //   symbolColor: '#74b1be'
    // },
    webPreferences: {
      nodeIntegration: true,
      contextIsolation: false
    }
  });

  mainWindow.loadFile('index.html')
  mainWindow.on('ready-to-show', () => {
    mainWindow.show();
  });
  // mainWindow.webContents.openDevTools();
  mainWindow.on('system-context-menu', (e, point) => {
    e.preventDefault();
  });
}

app.on('ready', () => {
  createWindow();
  Menu.setApplicationMenu(menu);
  tray(iconPath);
  // notification();

  app.on('activate', () => {
    if (BrowserWindow.getAllWindows().length === 0) {
      createWindow()
    }
  });
});

ipcMain.on('message-request', (event, arg) => {
  event.reply('message-reply', '我是来自主进程的消息！');
})

app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit();
  }
});